Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_data_type_struct Struct Reference

`#include <ruby.h>`

## Data Fields
const char * | wrap_struct_name
struct {
void(* dmark )(void *)
void(* dfree )(void *)
size_t(* dsize )(const void *)
void * reserved [2]
} | function
const rb_data_type_t * | parent
void * | data
struct {
void(* dmark )(void *)
void(* dfree )(void *)
size_t(* dsize )(const void *)
void * reserved [2]
} | function

## Detailed Description

Definition at line 960 of file ripper.y.

## Field Documentation

void * rb_data_type_struct::data

Definition at line 970 of file ripper.y.

void(* rb_data_type_struct::dfree)(void *)

Definition at line 964 of file ripper.y.

void(* rb_data_type_struct::dmark)(void *)

Definition at line 963 of file ripper.y.

size_t(* rb_data_type_struct::dsize)(const void *)

Definition at line 965 of file ripper.y.

struct { ... } rb_data_type_struct::function

struct { ... } rb_data_type_struct::function

const rb_data_type_t * rb_data_type_struct::parent

Definition at line 969 of file ripper.y.

Referenced by rb_typeddata_inherited_p().

void* rb_data_type_struct::reserved[2]

Definition at line 966 of file ripper.y.

const char * rb_data_type_struct::wrap_struct_name

Definition at line 961 of file ripper.y.

Referenced by rb_check_typeddata().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h